Page MenuHomePhabricator

Process Demographics Surveys
Closed, ResolvedPublic

Description

There are two main components for the analysis of the reader surveys:

  • Cleaning and debiasing the survey results -- i.e. converting responses to standardized features and re-weighting responses based on how representative of the broader reader population they are. This requires extensive work to clean the data, build features for each survey response, and then a relatively simple propensity modeling step.
  • Analyzing the survey results -- cross-tabulation of results, analyzing the relationship between demographics and reader behavior, etc.

This aligns with stages 2 and 3 of the survey process: https://meta.wikimedia.org/wiki/Research:Characterizing_Wikipedia_Reader_Behaviour/Code

Event Timeline

Isaac renamed this task from Analyze Demographics Surveys to Process Demographics Surveys.Jul 17 2019, 1:49 PM
Isaac triaged this task as High priority.Jul 17 2019, 8:15 PM
Isaac moved this task from Staged to In Progress on the Research board.Aug 18 2019, 10:30 AM
Isaac closed this task as Resolved.Oct 4 2019, 9:34 PM
Isaac closed subtask T228285: Analyze Demographics Surveys as Resolved.

Processing complete -- see individual subtasks for details. Focus on writing / sharing results now.